MONGOC_WRITE_CONCERN_GET_WTIMEOUT(3)

NAME
mongoc_write_concern_get_wtimeout() - Fetches the write timeout to use as part of the write concern. If the write has not completed before this timeout, an error will be returned.

SYNOPSIS

int32_t
mongoc_write_concern_get_wtimeout (const mongoc_write_concern_t *write_concern);

PARAMETERS

write_concern
    A mongoc_write_concern_t \&.

DESCRIPTION

Fetches the write timeout to use as part of the write concern. If the write has not completed before this timeout, an error will be returned.

A value of 0 indicates no write timeout.

RETURNS

Returns an 32-bit signed integer containing the timeout.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.